edu.isi.pegasus.planner.catalog.site.classes

## Class HeadNodeScratch

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteData
  - - edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData
    - - edu.isi.pegasus.planner.catalog.site.classes.StorageType
      - - edu.isi.pegasus.planner.catalog.site.classes.HeadNodeScratch

All Implemented Interfaces:
  java.lang.Cloneable

    public class HeadNodeScratch
    extends StorageType

This data class describes the scratch area on a head node.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.catalog.site.classes.StorageType

`mLocalDirectory, mSharedDirectory`

### Constructor Summary

Constructors
Constructor and Description
`HeadNodeScratch()` The default constructor
`HeadNodeScratch(LocalDirectory local, SharedDirectory shared)` The overloaded constructor.
`HeadNodeScratch(StorageType type)` The overloaded constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `toXML(java.io.Writer writer, java.lang.String indent)` Writes out the xml description of the object.

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.StorageType

`accept, clone, getLocalDirectory, getSharedDirectory, setLocalDirectory, setLocalDirectory, setSharedDirectory, setSharedDirectory`

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData

`toString, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HeadNodeScratch

    public HeadNodeScratch()

The default constructor

#### HeadNodeScratch

    public HeadNodeScratch(StorageType type)

The overloaded constructor

Parameters:
  `type` - StorageType

#### HeadNodeScratch

    public HeadNodeScratch(LocalDirectory local,
                           SharedDirectory shared)

The overloaded constructor.

Parameters:
  `local` - the local directory on the node.
  `shared` - the shared directory on the node.

### Method Detail

#### toXML

    public void toXML(java.io.Writer writer,
                      java.lang.String indent)
               throws java.io.IOException

Writes out the xml description of the object.

Overrides:
  `toXML` in class `StorageType`
Parameters:
  `writer` - is a Writer opened and ready for writing. This can also be a StringWriter for efficient output.
  `indent` - the indent to be used.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.